local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH
GetClock = GLOBAL.GetClock
GetPlayer = GLOBAL.GetPlayer

GLOBAL.STRINGS.NAMES.SWORD = "DEM's Sword"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SWORD = "..."
GLOBAL.STRINGS.RECIPE_DESC.SWORD = "Looks like a reused asset."

function tehsword()
	local sword = GLOBAL.Recipe("sword", { Ingredient("goldnugget", 5), Ingredient("flint", 8), Ingredient("twigs", 3) }, RECIPETABS.WAR, TECH.NONE)
		sword.atlas = "images/inventoryimages/sword.xml"
end

AddGamePostInit(tehsword)

PrefabFiles = {
	"dem",
	"sword",
	"meats",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/dem.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/dem.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/dem.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dem.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/dem_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dem_silho.xml" ),

    Asset( "IMAGE", "bigportraits/dem.tex" ),
    Asset( "ATLAS", "bigportraits/dem.xml" ),

}

AddModCharacter("dem")

